xcb_xkb_use_extension(3)

NAME
xcb_xkb_use_extension -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_xkb_use_extension_cookie_t xcb_xkb_use_extension(xcb_connection_t *conn, uint16_t wantedMajor, uint16_t wantedMinor);

  Reply datastructure

typedef struct xcb_xkb_use_extension_reply_t {
    uint8_t  response_type;
    uint8_t  supported;
    uint16_t sequence;
    uint32_t length;
    uint16_t serverMajor;
    uint16_t serverMinor;
    uint8_t  pad0[20];
} xcb_xkb_use_extension_reply_t;

  Reply function

xcb_xkb_use_extension_reply_t *xcb_xkb_use_extension_reply(xcb_connection_t *conn, xcb_xkb_use_extension_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

wantedMajor
    TODO: NOT YET DOCUMENTED.

wantedMinor
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XKB_USE_EXTENSION. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

supported
    TODO: NOT YET DOCUMENTED.

serverMajor
    TODO: NOT YET DOCUMENTED.

serverMinor
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xkb_use_extension_cookie_t. Errors have to be handled when calling the reply function xcb_xkb_use_extension_reply. If you want to handle errors in the event loop instead, use xcb_xkb_use_extension_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.